Hitachi Vantara Pentaho Community Forums
Results 1 to 4 of 4

Thread: BIRT PPT and XLS output types

  1. #1
    Join Date
    May 2008
    Posts
    4

    Default BIRT PPT and XLS output types

    Hi,

    Im using BIRT because my need to export the reports in xls and ppt format. I've managed to upgrade pentaho 1.6GA BIRT runtime engine to BIRT 2.2.2 and Ive created an xaction to publish a simple report. Everything is fine, but the pentaho designer only let me choos between PDF and HTML output.

    Ive tried to manually change the value to XLS or PPT but i get the following error:

    Error: BIRT.ERROR_0003 - Input ppt, is not valid, should be html, pdf, fo, or fop (org.pentaho.plugin.eclipsebirt.BIRTReportComponent)

    I guess that the pentaho birtreportcomponent should be modified to let more output types since the BIRT2.2.2 report engine support them.

    Any pentaho/java guru up there can help me with this?

    Thanks in advance,

    Alvaro

  2. #2

    Arrow

    HI,

    I have the same problem (BIRT.ERROR_0003).
    I want to generate an Excel output with a report developed with BIRT.
    What is to do that the Pentaho BI Server can create Excel reports using BIRT?

    THX 4 reply
    myma

  3. #3

    Default I'm working on it

    I hacked BIRTReportComponent.java from recent SVN to allow XLS output, but when I install the new class in an instance of Pentaho 1.6.x I get the following error:

    Code:
    java.lang.NoSuchMethodError: org.pentaho.plugin.eclipsebirt.BIRTReportComponent.getActionDefinition()Lorg/pentaho/actionsequence/dom/actions/ActionDefinition;
        org.pentaho.plugin.eclipsebirt.BIRTReportComponent.validateAction(BIRTReportComponent.java:127)
        org.pentaho.plugin.ComponentBase.validate(ComponentBase.java:224)
        org.pentaho.core.runtime.RuntimeContext.validateComponents(RuntimeContext.java:543)
        org.pentaho.core.runtime.RuntimeContext.validateComponents(RuntimeContext.java:510)
        org.pentaho.core.runtime.RuntimeContext.validateSequence(RuntimeContext.java:474)
        org.pentaho.core.solution.SolutionEngine.executeInternal(SolutionEngine.java:315)
    It looks like there were some recent incompatible changes in the way the plugin interacts with the underlying API...

  4. #4

    Default Patches

    Attaching a patch against 1.6.3 and against recent trunk (probably 1.7).

    Both depend on adding the BIRT 2.2.2 libraries in the right places. Not well-tested otherwise; but they get me past BIRT.ERROR_0003.
    Attached Files Attached Files

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.